---
displayed_sidebar: jsClientSidebar
---

# Interface: AxiosResponse<T, D\>

[internal](../modules/internal.md).AxiosResponse

## Type parameters

| Name | Type |
| :------ | :------ |
| `T` | `any` |
| `D` | `any` |

## Properties

### config

• **config**: [`AxiosRequestConfig`](internal.AxiosRequestConfig.md)<`D`\>

#### Defined in

medusa-js/node_modules/axios/index.d.ts:120

___

### data

• **data**: `T`

#### Defined in

medusa-js/node_modules/axios/index.d.ts:116

___

### headers

• **headers**: [`AxiosResponseHeaders`](../modules/internal.md#axiosresponseheaders)

#### Defined in

medusa-js/node_modules/axios/index.d.ts:119

___

### request

• `Optional` **request**: `any`

#### Defined in

medusa-js/node_modules/axios/index.d.ts:121

___

### status

• **status**: `number`

#### Defined in

medusa-js/node_modules/axios/index.d.ts:117

___

### statusText

• **statusText**: `string`

#### Defined in

medusa-js/node_modules/axios/index.d.ts:118
